Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class ValidTransfer

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.Validity
                  |
                  +--spki.ValidTransfer

public class ValidTransfer
extends Validity

SPKI ValidTransfer class.

Formal definitions:

###

###

###

###

     <valid-transfer>:: "(" "valid" <not-before> ")" ;

    Version: $Id: ValidTransfer.java,v 1.6 2001/12/14 20:53:23 tep Exp $
    Author: Tep Narula <tep@win.trlabs.ca>
    See Also: Validity

    Field Summary

    private static String
    __ME

              This class's full name.

    Fields inherited from class spki.Validity

    __ME,
    always_valid,
    maybe_after,
    MAYBEAFTER_SEXP_NAME,
    not_after,
    not_before,
    NOTAFTER_SEXP_NAME,
    NOTBEFORE_SEXP_NAME,
    offline,
    online,
    SEXP_NAME

    Fields inherited from class spki.BaseObj

    __ME,
    cache_sexp,
    cached_sexp,
    DEFAULT_HASH_ALG,
    locked,
    SEXP_NAME

    Constructor Summary

    protected
    ValidTransfer()

              Don't use me!

    ValidTransfer(Date not_before)

              Create an immutable ValidTransfer object from given not-before date.

    ValidTransfer(SExpression sexp)

              Create an immutable ValidTransfer object from an S-Expression.

    Methods inherited from class spki.Validity

    getMaybeAfter,
    getNotAfter,
    getNotBefore,
    getValidOffline,
    getValidOnline,
    isAlwaysValid,
    toSExpression,
    verifyDates

    Methods inherited from class spki.BaseObj

    disableSExpressionCaching,
    enableSExpressionCaching,
    extractHashAlgId,
    getCachedSExpression,
    isLocked,
    isSListOfType,
    lock,
    providerToSPKI,
    setCachedSExpression,
    spkiToProvider,
    toString

    Methods inherited from class java.lang.Object

    ,
    clone,
    equals,
    finalize,
    getClass,
    hashCode,
    notify,
    notifyAll,
    registerNatives,
    wait,
    wait,
    wait

    Field Detail

    __ME

    private static final String __ME

    This class's full name.

    Constructor Detail

    ValidTransfer

    protected ValidTransfer()

    Don't use me!
    See Also: ValidTransfer(SExpression),
    ValidTransfer(Date)

    ValidTransfer

    public ValidTransfer(SExpression sexp)
                  throws ParseException,
                         SPKIException

    Create an immutable ValidTransfer object from an S-Expression.
    See Also: Validity.Validity(SExpression)

    ValidTransfer

    public ValidTransfer(Date not_before)
                  throws SPKIException

    Create an immutable ValidTransfer object from given not-before date.
    Parameters:not_before - the not-before date.Throws:SPKIException - if something went wrong.See Also: Validity.Validity(Date,Date,Date,ValidOffline,ValidOnline)

          Overview
          Package
        Class
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY:  INNER | FIELD | CONSTR | METHOD

    DETAIL:  FIELD | CONSTR | METHOD